MakeOIS Class Reference

helper class More...

`#include <ql/instruments/makeois.hpp>`

## Public Member Functions

| MakeOIS (const Period &swapTenor, const ext::shared_ptr< OvernightIndex > &overnightIndex, Rate fixedRate=Null< Rate >(), const Period &fwdStart=0 *Days)
| operator OvernightIndexedSwap () const
| operator ext::shared_ptr< OvernightIndexedSwap > () const
MakeOIS & | receiveFixed (bool flag=true)
MakeOIS & | withType (OvernightIndexedSwap::Type type)
MakeOIS & | withNominal (Real n)
MakeOIS & | withSettlementDays (Natural settlementDays)
MakeOIS & | withEffectiveDate (const Date &)
MakeOIS & | withTerminationDate (const Date &)
MakeOIS & | withRule (DateGeneration::Rule r)
MakeOIS & | withPaymentFrequency (Frequency f)
MakeOIS & | withPaymentAdjustment (BusinessDayConvention convention)
MakeOIS & | withPaymentLag (Natural lag)
MakeOIS & | withPaymentCalendar (const Calendar &cal)
MakeOIS & | withEndOfMonth (bool flag=true)
MakeOIS & | withFixedLegDayCount (const DayCounter &dc)
MakeOIS & | withOvernightLegSpread (Spread sp)
MakeOIS & | withDiscountingTermStructure (const Handle< YieldTermStructure > &discountingTermStructure)
MakeOIS & | withTelescopicValueDates (bool telescopicValueDates)
MakeOIS & | withPricingEngine (const ext::shared_ptr< PricingEngine > &engine)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate overnight indexed swaps.